Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0004483 [JEDI VCL] 00 JVCL Components crash always 2008-09-26 07:40 2008-12-22 04:32
Reporter nighthawk08 View Status public  
Assigned To remkobonte
Priority normal Resolution fixed  
Status resolved   Product Version 3.35
Summary 0004483: crash in component JvID3v2 when running .commit command
Description I am using delphi 2009, with the example source of the JvID3v2 component. Reading values from files, is being done properly at all cases. But when it is coming to writing them (.Commit) it garbels the memory with different errors such as:

Stack overflow, Invalid pointer assignment, AccessViolation etc'

I traced a tlittle the code and it seems to be coming from the FFrames.Write command, that scans all the frames and write them to disk... but I couldn't trace the exact location of it.

Get back to me, if you would like more checks on that issue, I'd be happy to help.
Additional Information
Tags No tags attached.
Attached Files rar file icon JvID3v2.rar [^] (13,635 bytes) 2008-09-29 03:54

- Relationships

-  Notes
(0014708)
obones (administrator)
2008-09-28 23:53

Does the demo allows to write?
If not, please post the zipped sources of a sample application showing the issue.
(0014712)
nighthawk08 (reporter)
2008-09-29 04:04

The demo is supplied with the jedi v3.35 distro.
Anyhow, I've attached it to the issue. I didn't add the files of the TJvID3v2 object and all that is related to it.. the files can be found on the v3.35 jedi package.

The crash happens after trying to write (.commit) a file. Sometimes, in after the first commit, and sometimes, after the fifth commit. But it always crash the application. The common crash errors are "Stack overlow", and "Invalid pointer assignment".
(0014713)
nighthawk08 (reporter)
2008-09-29 04:04

The demo is supplied with the jedi v3.35 distro.
Anyhow, I've attached it to the issue. I didn't add the files of the TJvID3v2 object and all that is related to it.. the files can be found on the v3.35 jedi package.

The crash happens after trying to write (.commit) a file. Sometimes, in after the first commit, and sometimes, after the fifth commit. But it always crash the application. The common crash errors are "Stack overflow", and "Invalid pointer assignment".
(0014715)
nighthawk08 (reporter)
2008-09-29 04:33

BTW: I didn't change the original source code,. The object used to be visual so in the example it is in the .dfm file,. Though I tried manually to change it to .create and .destroy om the FormCreate and FormDestroy events... Yet it still didn't matter for the application to run properly.
(0014766)
cycocrew (developer)
2008-10-06 06:10

I'm also seeing similar issues when compiling with Delphi 2009. Same code compiled with Delphi 2007 is not experience this issue.
(0014913)
AHUser (developer)
2008-10-26 06:11

I cannot reproduce this with the current SVN version. Last JvID* files changes were on 2008-10-08. Maybe this fixed the bug.
(0015136)
obones (administrator)
2008-12-22 04:32

No news, Andreas reported it's ok, assuming this is fixed in SVN

- Issue History
Date Modified Username Field Change
2008-09-26 07:40 nighthawk08 New Issue
2008-09-28 23:53 obones Note Added: 0014708
2008-09-28 23:53 obones Status new => feedback
2008-09-29 03:54 nighthawk08 File Added: JvID3v2.rar
2008-09-29 04:04 nighthawk08 Note Added: 0014712
2008-09-29 04:04 nighthawk08 Note Added: 0014713
2008-09-29 04:33 nighthawk08 Note Added: 0014715
2008-10-04 04:54 grubste Issue Monitored: grubste
2008-10-06 06:10 cycocrew Note Added: 0014766
2008-10-06 12:53 remkobonte Assigned To => remkobonte
2008-10-26 06:11 AHUser Note Added: 0014913
2008-12-22 04:32 obones Note Added: 0015136
2008-12-22 04:32 obones Status feedback => resolved
2008-12-22 04:32 obones Fixed in Version => Daily / SVN
2008-12-22 04:32 obones Resolution open => fixed
2008-12-22 06:43 grubste Issue End Monitor: grubste


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker